GuideLab API

Get order by ID

Returns full order details including line items, phases, status history, phase step history, production tasks (lab only), and active hold information. Patient data is masked for labs when hidePatientFromLab is enabled.

GET
/orders/{id}

Returns full order details including line items, phases, status history, phase step history, production tasks (lab only), and active hold information. Patient data is masked for labs when hidePatientFromLab is enabled.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Response Body

application/json

curl -X GET "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000"
{  "id": "string",  "orderNumber": "string",  "status": "string",  "items": [    null  ],  "phases": [    null  ],  "statusHistory": [    null  ],  "phaseStepHistory": [    null  ],  "tasks": [    null  ],  "activeHold": null,  "property1": null,  "property2": null}
Empty
Empty
Empty
Empty